## octave-level-set 0.3.0

=== DESCRIPTION ===
Name: level-set
Version: 0.3.0
Date: 2015-12-17
Author: Daniel Kraft <daniel.kraft@uni-graz.at>
Maintainer: Daniel Kraft <d@domob.eu>
Title: Level Set
Description: Routines for calculating the time-evolution of the level-set equation and extracting geometric information from the level-set function.
Depends: octave (>= 3.6.0)
Autoload: no
License: GPLv3+

=== debian/changelog ===
octave-level-set (0.3.0-6) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.3.0 (no changes needed)
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:56:22 -0200

octave-level-set (0.3.0-5) unstable; urgency=medium

  * Reupload to unstable

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 29 Aug 2018 09:57:52 -0300

octave-level-set (0.3.0-4) unstable; urgency=medium

  * d/p/xtest-fastmarching.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 28 Aug 2018 09:57:48 -0300

octave-level-set (0.3.0-3) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.2.1 (no changes needed)
    + Demote octave-parallel from Depends to Suggests
  * d/p/skip-unit-tests-if-no-parallel-pkg.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 27 Aug 2018 23:28:22 -0300

octave-level-set (0.3.0-2) unstable; urgency=medium

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.2.0
    + Add dependency on octave-paralllel

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 24 Aug 2018 07:09:37 -0300

octave-level-set (0.3.0-1) unstable; urgency=low

  * Initial release (closes: #899225)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 30 Jun 2018 10:18:15 -0300

=== debian/control ===
Source: octave-level-set
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-octave,
               octave-parallel
Standards-Version: 4.3.0
Homepage: https://octave.sourceforge.io/level-set/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-level-set.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-level-set
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-level-set
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
Suggests: octave-parallel
Description: level-set toolbox for Octave
 This package contains routines for calculating the time-evolution of
 the level-set equation and extracting geometric information from the
 level-set function in Octave, a scientific computation software.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://sf.net/octave/level-set-(.+)\.tar\.gz

## octave-level-set 0.3.1~git.2019.04.13

=== DESCRIPTION ===
Name: level-set
Version: 0.3.1
Date: 2015-12-17
Author: Daniel Kraft <daniel.kraft@uni-graz.at>
Maintainer: Daniel Kraft <d@domob.eu>
Title: Level Set
Description: Routines for calculating the time-evolution of the level-set equation and extracting geometric information from the level-set function.
Depends: octave (>= 4.0.0), parallel
Autoload: no
License: GPLv3+

=== debian/changelog ===
octave-level-set (0.3.1~git.2019.04.13-2) unstable; urgency=medium

  * Properly configure the source
    + d/control: Build-depend on autoconf-archive (for macro
      AX_CXX_COMPILE_STDCXX_11)
    + d/rules: Run aclocal and autoconf
    + d/s/options: Ignore src/configure
    + d/clean: New file (remove src/aclocal.m4)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 04 Jan 2021 07:09:35 -0300

octave-level-set (0.3.1~git.2019.04.13-1) unstable; urgency=medium

  * New upstream version 0.3.1~git.2019.04.13
  * This version builds correctly against Octave 6 (Closes: #977012)
  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 12 Dec 2020 04:21:28 -0300

octave-level-set (0.3.0-11) unstable; urgency=medium

  * d/p/xtest-ls-distance-fcn.patch: New patch
  * d/watch: Bump version number to 4

 -- Rafael Laboissière <rafael@debian.org>  Tue, 17 Nov 2020 04:45:23 -0300

octave-level-set (0.3.0-10) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + octave-level-set: Add Multi-Arch: same.

 -- Rafael Laboissière <rafael@debian.org>  Tue, 10 Nov 2020 17:09:17 -0300

octave-level-set (0.3.0-9) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibility level to 13
  * d/u/metadata:
    + Add Bug-{Database,Submit} and Repository-Browse fields
    + Drop Name and Contact fields
  * d/p/octave5.patch: Add URL to Forwarded field

 -- Rafael Laboissière <rafael@debian.org>  Tue, 28 Jul 2020 07:59:52 -0300

octave-level-set (0.3.0-8) unstable; urgency=medium

  * d/control: Bump dependency on dh-octave to >= 0.7.1
    This allows the injection of the virtual package octave-abi-N into the
    package's list of dependencies

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 06 Nov 2019 15:14:43 -0300

octave-level-set (0.3.0-7) unstable; urgency=medium

  * Team upload

  [ Rafael Laboissiere ]
  * d/control: Bump Standards-Version to 4.4.1 (no changes needed)

  [ Sébastien Villemot ]
  * octave5.patch: new patch, fixes FTBFS against Octave 5

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 07 Oct 2019 18:01:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
-Uploaders: Rafael Laboissiere <rafael@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               dh-octave,
+Uploaders: Rafael Laboissière <rafael@debian.org>
+Build-Depends: autoconf-archive,
+               debhelper-compat (= 13),
+               dh-octave (>= 0.7.1),
                octave-parallel
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Homepage: https://octave.sourceforge.io/level-set/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-level-set.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-level-set
@@ -17,6 +18,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
 Suggests: octave-parallel
+Multi-Arch: same
 Description: level-set toolbox for Octave
  This package contains routines for calculating the time-evolution of
  the level-set equation and extracting geometric information from the

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave --with=octave

override_dh_auto_configure:
	( cd src ; aclocal ; autoconf )

=== debian/watch ===
version=4
http://sf.net/octave/level-set-(.+)\.tar\.gz
